package com.qmth.distributed.print.business.bean.dto.report;

import com.qmth.distributed.print.business.bean.result.report.PaperStructDimensionResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 报告课程目标考核分布dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
public class ReportCourseEvaluationSpreadDto implements Serializable {

    @ApiModelProperty(value = "题目信息集合")
    private List<PaperStructDimensionResult> questionInfo;

    @ApiModelProperty(value = "分数图")
    private ReportScoreViewDto scoreList;

    public ReportCourseEvaluationSpreadDto() {

    }

    public ReportCourseEvaluationSpreadDto(List<PaperStructDimensionResult> questionInfo) {
        this.questionInfo = questionInfo;
    }

    public ReportCourseEvaluationSpreadDto(List<PaperStructDimensionResult> questionInfo, ReportScoreViewDto scoreList) {
        this.questionInfo = questionInfo;
        this.scoreList = scoreList;
    }

    public List<PaperStructDimensionResult> getQuestionInfo() {
        return questionInfo;
    }

    public void setQuestionInfo(List<PaperStructDimensionResult> questionInfo) {
        this.questionInfo = questionInfo;
    }

    public ReportScoreViewDto getScoreList() {
        return scoreList;
    }

    public void setScoreList(ReportScoreViewDto scoreList) {
        this.scoreList = scoreList;
    }
}
